### GET /ats/{connection_id}/interview Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/interview ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **application_id** (string, query, optional): The application ID to filter by - **fields** (array (string (id|created_at|updated_at|candidate_id|job_id|application_id|user_ids|status|start_at|end_at|location|external_event_xref|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsInterviews** - Array of AtsInterview ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/interview?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&application_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/application Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/application ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **job_id** (string, query, optional): The job ID to filter by - **candidate_id** (string, query, optional): The candidate ID to filter by - **company_id** (string, query, optional): The company ID to filter by (reference to AtsCompany) - **status** (string, query, optional): The status to filter by - **fields** (array (string (id|candidate_id|job_id|created_at|updated_at|applied_at|hired_at|rejected_at|rejected_reason|source|status|original_status|answers|offers|user_id|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsApplications** - Array of AtsApplication ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/application?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&job_id=string&candidate_id=string&company_id=string&status=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/candidate Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/candidate ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **company_id** (string, query, optional): The company ID to filter by (reference to AtsCompany) - **fields** (array (string (id|created_at|updated_at|name|first_name|last_name|emails|title|telephones|company_name|image_url|tags|address|external_identifier|link_urls|origin|company_id|sources|date_of_birth|user_id|web_url|experiences|education|skills|job_ids|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsCandidates** - Array of AtsCandidate ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/candidate?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&company_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/interview/{id} Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/interview/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|candidate_id|job_id|application_id|user_ids|status|start_at|end_at|location|external_event_xref|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Interview ### Responses #### 200 - Successful **AtsInterview** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **candidate_id** (string) - **job_id** (string) - **application_id** (string) - **user_ids** (array (string)) - **status** (string (SCHEDULED|AWAITING_FEEDBACK|COMPLETE|CANCELED|NEEDS_SCHEDULING)) ("SCHEDULED"|"AWAITING_FEEDBACK"|"COMPLETE"|"CANCELED"|"NEEDS_SCHEDULING") - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **location** (string) - **external_event_xref** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/interview/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/applicationstatus Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/applicationstatus ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|status|original_status|description|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsStatuses** - Array of AtsStatus ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/applicationstatus?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/job Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/job ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **user_id** (string, query, optional): The user/employee ID to filter by (reference to HrisEmployee) - **company_id** (string, query, optional): The company ID to filter by (reference to AtsCompany) - **status** (string, query, optional): The status to filter by - **fields** (array (string (id|created_at|updated_at|name|description|recruiter_ids|hiring_manager_ids|hiring_managers|status|closed_at|addresses|compensation|employment_type|remote|language_locale|public_job_urls|number_of_openings|company_id|questions|postings|groups|openings|minimum_experience_years|minimum_degree|skills|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsJobs** - Array of AtsJob ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/job?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&user_id=string&company_id=string&status=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/document Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/document ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **application_id** (string, query, optional): The application ID to filter by - **candidate_id** (string, query, optional): The candidate ID to filter by - **job_id** (string, query, optional): The job ID to filter by - **type** (string, query, optional): The type to filter by - **fields** (array (string (id|created_at|updated_at|document_url|document_data|filename|type|candidate_id|application_id|job_id|user_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsDocuments** - Array of AtsDocument ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/document?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&application_id=string&candidate_id=string&job_id=string&type=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/activity Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/activity ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **user_id** (string, query, optional): The user/employee ID to filter by (reference to HrisEmployee) - **application_id** (string, query, optional): The application ID to filter by - **candidate_id** (string, query, optional): The candidate ID to filter by - **job_id** (string, query, optional): The job ID to filter by - **document_id** (string, query, optional): The document ID to filter by - **interview_id** (string, query, optional): The interview ID to filter by - **type** (string, query, optional): The type to filter by - **fields** (array (string (id|created_at|updated_at|candidate_id|application_id|job_id|interview_id|document_ids|title|description|is_private|user_ids|type|from|to|cc|bcc|sub_type|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsActivities** - Array of AtsActivity ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/activity?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&user_id=string&application_id=string&candidate_id=string&job_id=string&document_id=string&interview_id=string&type=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/application/{id} Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/application/{id} ```markdown ### Parameters - **fields** (array (string (id|candidate_id|job_id|created_at|updated_at|applied_at|hired_at|rejected_at|rejected_reason|source|status|original_status|answers|offers|user_id|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Application ### Responses #### 200 - Successful **AtsApplication** - **id** (string) - **candidate_id** (string) - **job_id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **applied_at** (string (date-time)) - **hired_at** (string (date-time)) - **rejected_at** (string (date-time)) - **rejected_reason** (string) - **source** (string) - **status** (string (NEW|REVIEWING|SCREENING|SUBMITTED|FIRST_INTERVIEW|SECOND_INTERVIEW|THIRD_INTERVIEW|BACKGROUND_CHECK|OFFERED|ACCEPTED|HIRED|REJECTED|DECLINED|WITHDRAWN)) ("NEW"|"REVIEWING"|"SCREENING"|"SUBMITTED"|"FIRST_INTERVIEW"|"SECOND_INTERVIEW"|"THIRD_INTERVIEW"|"BACKGROUND_CHECK"|"OFFERED"|"ACCEPTED"|"HIRED"|"REJECTED"|"DECLINED"|"WITHDRAWN") - **original_status** (string) - **answers** (array (AtsApplicationAnswer)) Array items: - **question_id** (string) (required) - **question** (string) - **answers** (array (string)) (required) - **offers** (array (AtsOffer)) Array items: - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **creator_user_id** (string) - **employee_user_id** (string) - **sent_at** (string (date-time)) - **accepted_at** (string (date-time)) - **rejected_at** (string (date-time)) - **start_at** (string (date-time)) - **compensation** (array (AtsCompensation)): compensation details for the offer Array items: - **type** (string (SALARY|BONUS|STOCK_OPTIONS|EQUITY|OTHER)) ("SALARY"|"BONUS"|"STOCK_OPTIONS"|"EQUITY"|"OTHER") - **min** (number) - **max** (number) - **currency** (string) - **frequency** (string (ONE_TIME|DAY|QUARTER|YEAR|HOUR|MONTH|WEEK)) ("ONE_TIME"|"DAY"|"QUARTER"|"YEAR"|"HOUR"|"MONTH"|"WEEK") - **status** (string (CREATED|SENT|ACCEPTED|REJECTED)) ("CREATED"|"SENT"|"ACCEPTED"|"REJECTED") - **raw** (object) - **user_id** (string) - **metadata** (array (AtsMetadata)) Array items: - **id** (string) - **slug** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/application/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/candidate/{id} Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/candidate/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|first_name|last_name|emails|title|telephones|company_name|image_url|tags|address|external_identifier|link_urls|origin|company_id|sources|date_of_birth|user_id|web_url|experiences|education|skills|job_ids|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Candidate ### Responses #### 200 - Successful **AtsCandidate** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **first_name** (string) - **last_name** (string) - **emails** (array (AtsEmail)) Array items: - **name** (string) - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **title** (string) - **telephones** (array (AtsTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **company_name** (string) - **image_url** (string) - **tags** (array (string)) - **address** (object) - **address1** (string) - **address2** (string) - **city** (string) - **region** (string) - **region_code** (string) - **postal_code** (string) - **country** (string) - **country_code** (string) - **external_identifier** (string) - **link_urls** (array (string)): URLs for web pages containing additional material about the candidate (LinkedIn, other social media, articles, etc.) - **origin** (string (AGENCY|APPLIED|INTERNAL|REFERRED|SOURCED|UNIVERSITY)) ("AGENCY"|"APPLIED"|"INTERNAL"|"REFERRED"|"SOURCED"|"UNIVERSITY") - **company_id** (string) - **sources** (array (string)) - **date_of_birth** (string (date-time)) - **user_id** (string) - **web_url** (string) - **experiences** (array (AtsCandidateExperience)) Array items: - **company_name** (string) - **title** (string) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **education** (array (AtsCandidateEducation)) Array items: - **institution** (string) - **level** (string) - **degree** (string) - **field_of_study** (string) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **skills** (array (string)) - **job_ids** (array (string)) - **metadata** (array (AtsMetadata)) Array items: - **id** (string) - **slug** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/candidate/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/document/{id} Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/document/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|document_url|document_data|filename|type|candidate_id|application_id|job_id|user_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Document ### Responses #### 200 - Successful **AtsDocument** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **document_url** (string) - **document_data** (string) - **filename** (string) - **type** (string (RESUME|COVER_LETTER|OFFER_PACKET|OFFER_LETTER|TAKE_HOME_TEST|OTHER)) ("RESUME"|"COVER_LETTER"|"OFFER_PACKET"|"OFFER_LETTER"|"TAKE_HOME_TEST"|"OTHER") - **candidate_id** (string) - **application_id** (string) - **job_id** (string) - **user_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/document/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/activity/{id} Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/activity/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|candidate_id|application_id|job_id|interview_id|document_ids|title|description|is_private|user_ids|type|from|to|cc|bcc|sub_type|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Activity ### Responses #### 200 - Successful **AtsActivity** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **candidate_id** (string) - **application_id** (string) - **job_id** (string) - **interview_id** (string) - **document_ids** (array (string)): IDs for AtsDocument.get - **title** (string) - **description** (string) - **is_private** (boolean) - **user_ids** (array (string)): id values of the recruiters associated with the activity. - **type** (string (NOTE|TASK|EMAIL)) ("NOTE"|"TASK"|"EMAIL") - **from** (object) - **name** (string) - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **to** (array (AtsEmail)) Array items: - **cc** (array (AtsEmail)) Array items: - **bcc** (array (AtsEmail)) Array items: - **sub_type** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/activity/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/job/{id} Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/job/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|recruiter_ids|hiring_manager_ids|hiring_managers|status|closed_at|addresses|compensation|employment_type|remote|language_locale|public_job_urls|number_of_openings|company_id|questions|postings|groups|openings|minimum_experience_years|minimum_degree|skills|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Job ### Responses #### 200 - Successful **AtsJob** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **recruiter_ids** (array (string)) - **hiring_manager_ids** (array (string)) - **hiring_managers** (array (AtsReference)) Array items: - **id** (string) - **name** (string) - **status** (string (ARCHIVED|PENDING|DRAFT|OPEN|CLOSED)) ("ARCHIVED"|"PENDING"|"DRAFT"|"OPEN"|"CLOSED") - **closed_at** (string (date-time)) - **addresses** (array (AtsAddress)) Array items: - **address1** (string) - **address2** (string) - **city** (string) - **region** (string) - **region_code** (string) - **postal_code** (string) - **country** (string) - **country_code** (string) - **compensation** (array (AtsCompensation)) Array items: - **type** (string (SALARY|BONUS|STOCK_OPTIONS|EQUITY|OTHER)) ("SALARY"|"BONUS"|"STOCK_OPTIONS"|"EQUITY"|"OTHER") - **min** (number) - **max** (number) - **currency** (string) - **frequency** (string (ONE_TIME|DAY|QUARTER|YEAR|HOUR|MONTH|WEEK)) ("ONE_TIME"|"DAY"|"QUARTER"|"YEAR"|"HOUR"|"MONTH"|"WEEK") - **employment_type** (string (FULL_TIME|PART_TIME|CONTRACTOR|INTERN|CONSULTANT|VOLUNTEER|CASUAL|SEASONAL|FREELANCE|OTHER)) ("FULL_TIME"|"PART_TIME"|"CONTRACTOR"|"INTERN"|"CONSULTANT"|"VOLUNTEER"|"CASUAL"|"SEASONAL"|"FREELANCE"|"OTHER") - **remote** (boolean) - **language_locale** (string) - **public_job_urls** (array (string)): URLs for pages containing public listings for the job - **number_of_openings** (number) - **company_id** (string) - **questions** (array (AtsJobQuestion)) Array items: - **id** (string) - **question** (string) (required) - **required** (boolean) - **description** (string) - **prompt** (string) - **type** (string (TEXT|NUMBER|DATE|BOOLEAN|MULTIPLE_CHOICE|FILE|TEXTAREA|MULTIPLE_SELECT|UNIVERSITY|YES_NO|CURRENCY|URL)) (required) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"MULTIPLE_CHOICE"|"FILE"|"TEXTAREA"|"MULTIPLE_SELECT"|"UNIVERSITY"|"YES_NO"|"CURRENCY"|"URL") - **options** (array (string)) - **postings** (array (AtsJobPosting)): Public job postings Array items: - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **posting_url** (string) - **name** (string) - **description** (string) - **address** (object): job-post-specific address - **location** (string) - **is_active** (boolean) - **groups** (array (AtsGroup)): The departments/divisions/teams that this job belongs to Array items: - **id** (string) - **name** (string) - **type** (string (TEAM|GROUP|DEPARTMENT|DIVISION|BUSINESS_UNIT|BRANCH|SUB_DEPARTMENT)) ("TEAM"|"GROUP"|"DEPARTMENT"|"DIVISION"|"BUSINESS_UNIT"|"BRANCH"|"SUB_DEPARTMENT") - **openings** (array (AtsJobOpening)) Array items: - **status** (string (OPEN|CLOSED)) ("OPEN"|"CLOSED") - **opened_at** (string (date-time)) - **closed_at** (string (date-time)) - **application_id** (string) - **close_reason** (string) - **minimum_experience_years** (number) - **minimum_degree** (string) - **skills** (array (string)) - **metadata** (array (AtsMetadata)) Array items: - **id** (string) - **slug** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/job/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### Schema: AtsCandidateExperience Source: https://api.unified.to/docs/openapi-ats.json Schema definition for AtsCandidateExperience ```markdown ## Schema: AtsCandidateExperience Schema definition for AtsCandidateExperience **Type:** object - **company_name** (string) - **title** (string) - **start_at** (string (date-time)) - **end_at** (string (date-time)) ``` -------------------------------- ### GET /ats/{connection_id}/company Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/company ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|name|address|website_url|phone|parent_id|recruiter_ids|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsCompanies** - Array of AtsCompany ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/company?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ats/{connection_id}/scorecard Source: https://api.unified.to/docs/openapi-ats.json API endpoint for GET /ats/{connection_id}/scorecard ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **candidate_id** (string, query, optional): The candidate ID to filter by - **application_id** (string, query, optional): The application ID to filter by - **interview_id** (string, query, optional): The interview ID to filter by - **job_id** (string, query, optional): The job ID to filter by - **fields** (array (string (id|created_at|updated_at|application_id|interviewer_id|interview_id|candidate_id|job_id|recommendation|comment|questions|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AtsScorecards** - Array of AtsScorecard ### Example Usage ```bash curl -X GET "https://api.unified.to/ats/{connection_id}/scorecard?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&candidate_id=string&application_id=string&interview_id=string&job_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### POST /ats/{connection_id}/interview Source: https://api.unified.to/docs/openapi-ats.json API endpoint for POST /ats/{connection_id}/interview ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|candidate_id|job_id|application_id|user_ids|status|start_at|end_at|location|external_event_xref|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **candidate_id** (string) - **job_id** (string) - **application_id** (string) - **user_ids** (array (string)) - **status** (string (SCHEDULED|AWAITING_FEEDBACK|COMPLETE|CANCELED|NEEDS_SCHEDULING)) ("SCHEDULED"|"AWAITING_FEEDBACK"|"COMPLETE"|"CANCELED"|"NEEDS_SCHEDULING") - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **location** (string) - **external_event_xref** (string) - **raw** (object) ### Responses #### 200 - Successful **AtsInterview** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **candidate_id** (string) - **job_id** (string) - **application_id** (string) - **user_ids** (array (string)) - **status** (string (SCHEDULED|AWAITING_FEEDBACK|COMPLETE|CANCELED|NEEDS_SCHEDULING)) ("SCHEDULED"|"AWAITING_FEEDBACK"|"COMPLETE"|"CANCELED"|"NEEDS_SCHEDULING") - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **location** (string) - **external_event_xref** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/ats/{connection_id}/interview?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "candidate_id": "string", "job_id": "string", "application_id": "string", "user_ids": "value", "status": "SCHEDULED", "start_at": "2023-01-01T00:00:00Z", "end_at": "2023-01-01T00:00:00Z", "location": "string", "external_event_xref": "string", "raw": "value" }' ``` ``` -------------------------------- ### Schema: property_AtsApplication_offers Source: https://api.unified.to/docs/openapi-ats.json Schema definition for property_AtsApplication_offers ```markdown ## Schema: property_AtsApplication_offers Schema definition for property_AtsApplication_offers **Type:** array - Array of AtsOffer ```